LTX 2.3 Trainer (V2) - Audio-to-Audio
統合
モデルID
ltx23-trainer-v2/a2a
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx23-trainer-v2/a2a?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx23-trainer-v2/a2a?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx23-trainer-v2/a2a", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ltx23-trainer-v2/a2a",
"input": {
"training_data_url": "https://example.com/your-file.zip"
}
}
Doitong APIを通じてLTX 2.3 Trainer (V2) - Audio-to-Audioモデル(ltx23-trainer-v2/a2a)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/ltx23-trainer-v2/a2a.md
POST https://api.doitong.com/v1/run/ltx23-trainer-v2/a2a?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"training_data_url": "https://example.com/your-file.zip"
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.com/v1/quote/ltx23-trainer-v2/a2aを実行すると、実行前の正確な価格が返されます。
このリクエスト: $4.60 4,600 APIクレジット このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
Lightricks · ファイル
最初の結果がここに表示されます
以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/ltx23-trainer-v2/a2a?wait=20
見積もり → $4.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx23-trainer-v2/a2a?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx23-trainer-v2/a2a?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx23-trainer-v2/a2a", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ltx23-trainer-v2/a2a",
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"wait_seconds": 20
}
}
}
LTX 2.3 Trainer (V2) - Audio-to-Audioについて
`training_data_url`にあるペアサンプルの`.zip`から、音声から音声への変換用LoRAをファインチューニングします。`rank`は8~128、`number_of_steps`は100~10000、`audio_duration_seconds`は0.5~60です。ここではシーン分割を使用しないため、あらかじめ分割したクリップを指定してください。LoRAウェイトと設定ファイルを返します。
パラメータ
名前型
デフォルト許可される値
説明
training_data_url必須
型string
選択したトレーニングモードに従って整理されたトレーニングデータを含む `.zip` の URL。各メディアファイルには、同じベース名の `.txt` キャプションを付けられます。
rank任意
型enum
デフォルト32
8163264128
LoRA 適応ランク。値を上げるとメモリ消費が増える代わりに容量が向上します。
number_of_steps任意
型integer
デフォルト2000
100 – 10,000
トレーニングステップの総数。
learning_rate任意
型number
デフォルト0.0002
0.000001 – 1
最適化の学習率。
number_of_frames任意
型integer
デフォルト89
9 – 121
各トレーニングサンプルのフレーム数。8 で割った余りが 1 になる必要があります。例: 1、9、17、25、33、41、49、57、65、73、81、89、97。
frame_rate任意
型integer
デフォルト24
8 – 60
トレーニング動画の目標フレームレート(1 秒あたりのフレーム数)。LTX-2.3 のネイティブレートは 24 です。
resolution任意
型enum
デフォルトmedium
lowmediumhigh
トレーニング解像度。解像度を上げるとメモリ要件が増加します。
aspect_ratio任意
型enum
デフォルト1:1
16:91:19:16
トレーニングのアスペクト比。
trigger_phrase任意
型string
デフォルト
LoRA スタイルの有効化フレーズ。トレーニング中にキャプションの先頭へ挿入されます。
auto_scale_input任意
型boolean
デフォルトfalse
有効にすると、要求された FPS とフレーム数に合わせて動画を自動調整します。画像データセットは変更されません。
split_input_into_scenes任意
型boolean
デフォルトfalse
シーン分割制御。a2a のペア化されたターゲット/参照音声の準備中は、分割によってペアの同期がずれるため無視されます。a2a ではオフにし、事前に分割したクリップを指定してください。
split_input_duration_threshold任意
型number
デフォルト30
1 – 60
シーン分割のトリガー。秒単位の長さで表し、しきい値より長い動画のみ分割します。
debug_dataset任意
型boolean
デフォルトfalse
完全なトレーニング実行前に動画、画像、キャプションを確認する前処理検査モード。有効にすると、トレーナーが処理済みのトレーニングデータセットを手動確認用のダウンロード可能なアーカイブとして返します。
audio_normalize任意
型boolean
デフォルトtrue
データセット全体でレベルを一定に保つための音声ピーク正規化。
audio_preserve_pitch任意
型boolean
デフォルトtrue
トリミングやパディングではなく、音声の長さを合わせる際にピッチを保持します。
audio_duration_seconds任意
型number
デフォルト5
0.5 – 60
音声のみのモードで必要な、秒単位の音声長バケット。動画フレーム数から長さを計算できないため必要です。この目標値に基づいてクリップを処理し、超過した音声はトリミングし、短いクリップはスキップします。
validation任意
型object[]
デフォルト[]
≤ 2項目
各プロンプトと参照音声クリップを組み合わせた検証プロンプトのリスト。
validation[].prompt必須
型string
検証中に使用するプロンプト。
validation[].reference_audio_url必須
型url · audio
≥ 1 characters
音声生成の条件付けに使用する参照音声 URL。
validation_negative_prompt任意
型string
デフォルトblurry, out of focus, overexposed, underexposed, low contrast, washed out colors, excessive noise, grainy texture, poor lighting, flickering, motion blur, distorted proportions, unnatural skin tones, deformed facial features, asymmetrical face, missing facial features, extra limbs, disfigured hands, wrong hand count, artifacts around text, inconsistent perspective, camera shake, incorrect depth of field, background too sharp, background clutter, distracting reflections, harsh shadows, inconsistent lighting direction, color banding, cartoonish rendering, 3D CGI look, unrealistic materials, uncanny valley effect, incorrect ethnicity, wrong gender, exaggerated expressions, wrong gaze direction, mismatched lip sync, silent or muted audio, distorted voice, robotic voice, echo, background noise, off-sync audio, incorrect dialogue, added dialogue, repetitive speech, jittery movement, awkward pauses, incorrect timing, unnatural transitions, inconsistent framing, tilted camera, flat lighting, inconsistent tone, cinematic oversaturation, stylized filters, or AI artifacts.
検証中に適用するネガティブプロンプト。検証では 1 段階のプレビュー処理を使用します。この処理は 2 段階の蒸留済み本番推論を近似するため、ガイダンスとプレビュー品質は最終結果と異なります。
validation_number_of_frames任意
型integer
デフォルト89
9 – 121
各検証動画のフレーム数。
validation_frame_rate任意
型integer
デフォルト24
8 – 60
検証動画の目標フレームレート(1 秒あたりのフレーム数)。LTX-2.3 のネイティブレートは 24 です。
validation_resolution任意
型enum
デフォルトhigh
lowmediumhigh
検証中に使用する解像度。
validation_aspect_ratio任意
型enum
デフォルト1:1
16:91:19:16
検証中に使用するアスペクト比。
stg_scale任意
型number
デフォルト1
0 – 3
時空間ガイダンス(STG)スケール。1.0 が推奨値で、0.0 にすると STG を無効にします。
必須
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ltx23-trainer-v2/a2a",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 4600,
"usd": "4.60",
"charged": 4600,
"refunded": 0
},
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"lora_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"config_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"debug_dataset": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- video
- object {url, content_type, file_name, file_size} | null検証で生成された結合動画プレビュー。動画を生成するエンドポイントで利用可能な場合に提供されます。
- audio
- object {url, content_type, file_name, file_size} | null検証で生成された結合音声。音声のみの次のルートで利用可能な場合にプレビューとして提供されます: /audio-inpaint、/audio-extend-suffix、/audio-extend-prefix、/t2a、/a2a、/v2a。
- lora_file
- object {url, content_type, file_name, file_size}.safetensors 形式のトレーニング済み LoRA 重みの URL。
- config_file
- object {url, content_type, file_name, file_size}推論エンドポイントのセットアップ設定。
- debug_dataset
- object {url, content_type, file_name, file_size} | null`debug_dataset` が有効な場合に利用できるデバッグ出力。前処理後のトレーニングデータを含むダウンロード可能なアーカイブです。
その他のLTX 2.3 Trainerバリアント
その他のモデル: トレーニング
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ltx23-trainer-v2/a2a.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt